<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/paper-radio-group/paper-radio-group.html">
<link rel="import" href="/bower_components/paper-radio-button/paper-radio-button.html">
<link rel="import" href="/bower_components/paper-dropdown-menu/paper-dropdown-menu.html">
<link rel="import" href="/bower_components/paper-listbox/paper-listbox.html">
<link rel="import" href="/bower_components/paper-item/paper-item.html">

<link rel="import" href="../l1page-api/l1page-api.html">

<link rel="import" href="shifter-info-entry.html">

<!--
`<shifter-info>` is not documented properly yet
-->
<dom-module id="shifter-info">
  <template>
    <link rel="stylesheet" href="shifter-info.css?__inline=true">
    <style include="l1page-theme"></style>

    <l1page-api url=/api/v0/shifter-information data={{shifterInfo}} loading={{loading}} auto></l1page-api>

    <app-toolbar>
      <!-- <p>Shifter Information</p> -->
      <div filter>
        <section id=types>
          <paper-dropdown-menu label="Type"
                               horizontal-align=left>
            <paper-listbox slot="dropdown-content"
                           attr-for-selected=name
                           selected={{selectedType}}>
            </paper-listbox>
          </paper-dropdown-menu>
        </section>
        <section id=sections>
          <paper-dropdown-menu label="Section"
                               horizontal-align=left>
            <paper-listbox slot="dropdown-content"
                           attr-for-selected=name
                           selected={{selectedSection}}>
            </paper-listbox>
          </paper-dropdown-menu>
        </section>
        <section>
          <paper-input label="Search" value={{searchValue}}>
            <paper-icon-button slot=suffix icon="[[_getSeachIcon(searchValue)]]" on-click=clearSearch></paper-icon-button>
          </paper-input>
        </section>
        <!-- <section>
          <h3>Sorting</h3>
          <paper-radio-group selected={{sortingPreference}}>
            <paper-radio-button name="section">by section</paper-radio-button>
            <paper-radio-button name="date">by submission date</paper-radio-button>
          </paper-radio-group>
        </section> -->
      </div>
      <slot name=fab></slot>
    </app-toolbar>

    <img src="/images/hourglass_color.gif" alt="loading..." hide$=[[!loading]]>

    <dom-repeat items=[[shifterInfo.rows]]
                as="entry"
                filter="[[_getFilter(filterParams, searchValue)]]"
                sort=[[_getSorter(sortingPreference)]]
                on-dom-change=_scrollDown>
      <template>
        <shifter-info-entry entry=[[entry]]></shifter-info-entry>
      </template>
    </dom-repeat>

    <slot></slot>
  </template>
</dom-module>

<script src="shifter-info.js?__inline=true"></script>
